
QGIS Application - Bug report #20488

qgis desktop keeps crashing in both 3.4 and 3.4.1

2018-11-14 11:52 AM - mike dodd

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: No

Operating System: win10 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28308

Description

It was working fine then I opened the project a few days later and it kept crashing either immediately or after several minutes of working

on it.

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06
History

#1 - 2018-11-14 06:11 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of a number of identical reports sent in the past days.

#2 - 2018-11-14 06:45 PM - Jürgen Fischer

- Subject changed from qgis desktop keeps crashing in both 3.4 and 3.4.1.1 to qgis desktop keeps crashing in both 3.4 and 3.4.1

#3 - 2018-11-14 06:48 PM - Jürgen Fischer

- Related to Bug report #20386: Program crashes in idle phase added
